%define base_name	kwin-style
%define theme_name	crystalgl
%define name		%{base_name}-%{theme_name}
%define version		0.8.1
%define release %mkrel 4
%define summary		Crystal kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			18983-%{theme_name}-%{version}.tar.bz2
URL:			http://kdelook.org/content/show.php?content=18983
BuildRequires:		kdebase-devel
BuildRequires:		MesaGLU-devel
BuildRequires:		chrpath
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Crystal-GL is the next generation of my crystal window decoration theme.
By using OpenGL to render itself, it simulates refraction and light mapping! 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{version}

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath

%make

%install

%makeinstall_std

chrpath -d $RPM_BUILD_ROOT/%_libdir/kde3/kwin3_crystalgl.so


cat > $RPM_BUILD_DIR/%{theme_name}-%{version}/README.urpmi << EOF

######################### More informations ########################

Crystal-GL is the next generation of my crystal window decoration theme.
By using OpenGL to render itself, it simulates refraction and light mapping! Check out screenshots! NOW!

I name the deco HIGHLY EXPERIMENTAL! Don't blame me, if it brakes your computer into two, if it crashes kde or makes it unusable. THIS IS BETA, NO WARRANTY.
If it breakes kwin, even on startup, remove your ~/.kde/share/config/kwinrc file, to reset the kwin settings to default.

It looks very similar to crystal, but has more eye-candy and smooth animations.

* Grabs your wallpaper and simulates bended glass, little lighting. You are able to specify the ior. ;)
* Support for button themes. Feel free to swamp me with cool themes. :D The themes are the same than the ones in crystal.
Knifty button theme by Enso

Disadvantages:
* Needs a working GL subsystem!!! Don t blame me, if yours is broken!
* Be careful on nvidia systems, if under load, the gl subsystem may become *real* slow, so my deco.
* Needs KDE >=3.2 and QT>=3.2 to compile.
* May be slower than any other deco
* May be fat
* May make you drool, and you might forget to eat, sleep or even breath!


#######################################################################
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS Doxyfile README INSTALL README.urpmi
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-4mdk
- Add BuildRequires
- Remove Redundant BuildRequires
- use mkrel
- Fix README.urpmi

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2mdk
- Rebuild + fix x86_64

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandriva.org> 0.8.1-1mdk 
-Initial mandriva Linux release

